<link rel="stylesheet" href="{{ 'component-list-menu.css' | asset_url }}" media="print" onload="this.media='all'">
<link rel="stylesheet" href="{{ 'component-search.css' | asset_url }}" media="print" onload="this.media='all'">
<link rel="stylesheet" href="{{ 'component-menu-drawer.css' | asset_url }}" media="print" onload="this.media='all'">
<link rel="stylesheet" href="{{ 'component-cart-notification.css' | asset_url }}" media="print" onload="this.media='all'">
<link rel="stylesheet" href="{{ 'component-cart-items.css' | asset_url }}" media="print" onload="this.media='all'">
{%- if settings.predictive_search_enabled -%}
  <link rel="stylesheet" href="{{ 'component-price.css' | asset_url }}" media="print" onload="this.media='all'">
  <link rel="stylesheet" href="{{ 'component-loading-overlay.css' | asset_url }}" media="print" onload="this.media='all'">
{%- endif -%}
{%- if section.settings.menu_type_desktop == 'mega' -%}
  <link rel="stylesheet" href="{{ 'component-mega-menu.css' | asset_url }}" media="print" onload="this.media='all'">
  <noscript>{{ 'component-mega-menu.css' | asset_url | stylesheet_tag }}</noscript>
{%- endif -%}
{%- if settings.cart_type == "drawer" -%}
  {{ 'component-cart-drawer.css' | asset_url | stylesheet_tag }}
  {{ 'component-cart.css' | asset_url | stylesheet_tag }}
  {{ 'component-totals.css' | asset_url | stylesheet_tag }}
  {{ 'component-price.css' | asset_url | stylesheet_tag }}
  {{ 'component-discounts.css' | asset_url | stylesheet_tag }}
  {{ 'component-loading-overlay.css' | asset_url | stylesheet_tag }}
{%- endif -%}

<noscript>{{ 'component-list-menu.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-search.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-menu-drawer.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-cart-notification.css' | asset_url | stylesheet_tag }}</noscript>
<noscript>{{ 'component-cart-items.css' | asset_url | stylesheet_tag }}</noscript>

<style>
  header-drawer {
    justify-self: start;
    margin-left: -1.2rem;
  }
  .section-header-wrap{
    position: fixed;
    width: 100%;
    z-index: 1;
    transform: translateY(0px);
    transition: all .2s;
  }
  #header{
    box-shadow: 0 6px 10px #00000014;
    width: 100%;
    background: white;
  }
  .section-header-wrap.scrolled{
    transform: translateY(-43px);
    transition: all .2s;
  }
  .header__heading-logo {
    max-width: {{ section.settings.logo_width }}px;
  }
  
  @media screen and (min-width: 990px) {
    header-drawer {
      display: none;
    }
    .menu-drawer-container {
      display: flex;
    }
    .list-menu {
      list-style: none;
      padding: 0;
      margin: 0;
    }
    .list-menu--inline {
      display: inline-flex;
      flex-wrap: wrap;
    }
  
    summary.list-menu__item {
      padding-right: 2.7rem;
    }
  
    .list-menu__item {
      display: flex;
      align-items: center;
      line-height: calc(1 + 0.3 / var(--font-body-scale));
    }
  
    .list-menu__item--link {
      text-decoration: none;
      padding-bottom: 1rem;
      padding-top: 1rem;
    }
    .header__menu-item:hover span{
      text-decoration: none;
    }
  }
  @media screen and (max-width: 1210px){

    h1.menu-desc{
      font-size: 32px;
    }
    .menu-link-wrap a{
      font-size: 12px;
    }
  }
  .list-menu__item--link {
    padding-bottom: 0.5rem;
    padding-top: 0.5rem;
  }
  .shop_now .btn{
    background: #014550;
    border: 1px solid #014550;
    color: #3cf084;
    border-radius: 44px;
    padding: 6px 14px 8px;
    font-weight: 500;
    letter-spacing: -0.01em;
    font-family: TWKEverett;
  }
  .header__icon {
    border: 1px solid;
    border-radius: 20px;
    width: max-content;
    padding: 0px 10px;
  }
  .header__icons{
    align-items: center;
  }
  #cart-icon-bubble {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 2px 10px;
    border:1px solid #c5d1d3;
    border-radius: 20px;
    column-gap: 5px;
    margin-left: 11px;
  }
  .header-menu-item{
    height: 80px;
    display: flex;
    align-items: center;
  }
  .header-menu-item a{
    color: #014550;
    font-size: 15px;
  }
  .header-menu-item .megamenu{
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 6px 10px #454f5b;
    position: absolute;
    width: 90%;
    top: 100%;
    left: 50%;
    z-index: -11111;
    transform: translateX(-50%) translateY(-100%);
    transition: all .3s;
    opacity: 0;
  }
  .megamenu-wrap{
    padding: 25px 60px 35px 69px;
  }
  .megamenu-wrap .side_menu{
    max-width:280px;
  }
  .header-menu-item.has-megamenu:hover .megamenu{
    transform: translateX(-50%) translateY(0);
    opacity: 1;
  }
  .mega-menu-item{
    padding: 0px 20px;
  }
  .mega-menu-item img{
    border-radius: 10px;
    width: 100%;
  }
  .mega-menu-item .item-title{
    font-size: 27px;
    line-height: 32px;
    font-family: auto;
  }
  p.menu-title {
    font-weight: 500;
    font-size: 17px;
  }
  h1.menu-desc {
    font-size: 33px;
    font-weight: 300;
    line-height: 40px;
    margin: 0 0 16px;
    font-family: auto;
  }
  .menu-link-wrap {
    font-size: 15px;
    font-weight: 500;
    display: flex;
    align-items: center;
  }
  .menu-link-wrap a{
    display: flex;
    font-family: 'Assistant';
    align-items: center;
    font-size: 14px;
  }
  .menu-link-wrap svg{
    margin-left: 5px;
  }
  .megamenu-btn-wrap{
    text-align: center;
    margin-top: 45px;
  }
  .megamenu-btn{
    font-family: revert;
    font-size: 16px;
    line-height: 24px;
    font-weight: 400;
    padding: 8.5px 74px;
    background: #014550;
    color: #3cf084 !important;
    border-radius: 34px;
    letter-spacing: -.01em;
  }
  .nav-toogle-btn{
    border: none;
    background-color: transparent;
  }
  .nav-toogle-btn span{
    display: block;
    width: 24px;
    height: 2px;
    background: #014550;
    transition: .3s;
    opacity: 1;
    position: relative;
  }
  .nav-toogle-btn span+span{
    margin-top: 5px;
  }
  div#div-menu-drawer-container {
    margin-left: 25px;
  }
  .list-menu.list-menu--inline{
    column-gap: 15px;
    width:100%;
    padding-right:10px;
  }
  .list-menu.list-menu--inline .header-menu-item:nth-child(3){
    margin-left: auto;
  }
  .section-header {
    margin-bottom: {{ section.settings.margin_bottom | times: 0.75 | round: 0 }}px;
  }
  @media screen and (min-width: 990px) {
    .header {
      padding-top: {{ section.settings.padding_top }}px;
      padding-bottom: {{ section.settings.padding_bottom }}px;
    }
    .header.container{
      display: flex;
      align-items: center;
      justify-content: space-between;
    }
    .header_inline-menu{
      flex-grow: 1;
      margin: 0px;
    }
    .list-menu.list-menu--inline li:nth-child(3){
      margin-left: auto;
    }
    .header__heading-link{
      display: flex;
    }
  }
  @media screen and (min-width: 750px) {
    .section-header {
      margin-bottom: {{ section.settings.margin_bottom }}px;
    }
  }
    /* announcement-bar */
  
  .announcement-bar-wrap {
    justify-content: space-between;
    align-items: center;
    height: 40px;
  }
  a.announcement-bar-left-title {
    color: #014550;
    font-size: 15px;
  }
  ul.announcement-bar-right-menu {
    list-style: none;
    font-size: 15px;
    font-weight: 500;
    padding-left: 0;
    margin: 0;
    height: 100%;
  }
  li.menu-item {
    margin-left: 30px;
    position: relative;
  }
  li.menu-item:hover {
    color: #02825c;
  }
  li.menu-item:hover:after {
    content: "";
    background-color: #02825c;
    content: "";
    width: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    height: 3px;
  }
  li.menu-item a {
    color: #014550;
  }
  .announcement-bar-center-title {
    color: #014550;
    font-size: 15px;
  }
  @media only screen and (min-width : 768px) {

    .announcement-bar-right-menu a,.announcement-bar-left a{
      font-size:13px
    }

  }
 
  .header__heading-logo {
    max-width: {{ section.settings.logo_width }}px;
  }

  @media screen and (min-width: 990px) {
    header-drawer {
      display: none;
    }
  }

  .menu-drawer-container {
    display: flex;
  }

  .list-menu {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  .list-menu--inline {
    display: inline-flex;
    flex-wrap: wrap;
  }

  summary.list-menu__item {
    padding-right: 2.7rem;
  }

  .list-menu__item {
    display: flex;
    align-items: center;
    line-height: calc(1 + 0.3 / var(--font-body-scale));
  }

  .list-menu__item--link {
    text-decoration: none;
    padding-bottom: 1rem;
    padding-top: 1rem;
    line-height: calc(1 + 0.8 / var(--font-body-scale));
  }
  .header__menu-item:hover span{
    text-decoration: none;
  }
  .header__icon{
    border: none !important;
  }
  @media screen and (min-width: 750px) {
    .list-menu__item--link {
      padding-bottom: 0.5rem;
      padding-top: 0.5rem;
    }
    .shop_now .btn{
      background: #014550;
      border: 1px solid #014550;
      color: #3cf084;
      border-radius: 44px;
      padding: 6px 14px 8px;
      font-weight: 500;
      letter-spacing: -0.01em;
      font-family: TWKEverett;
    }
    .header__icon {
      border: 1px solid;
      border-radius: 20px;
      width: max-content;
      padding: 0px 10px;
    }
    .header__icons{
      align-items: center;
    }
    #cart-icon-bubble {
      display: flex;
      justify-content: center;
      align-items: center;
      padding: 2px 10px;
      border:1px solid #c5d1d3;
      border-radius: 20px;
      column-gap: 5px;
      margin-left: 11px;
    }
  }
  @media (max-width : 768px) {
    div#div-menu-drawer-container {
      margin-left: 5px;
    }
    .announcement-bar-wrap.d-flex {
      justify-content: center;
    }
  }
</style>

{%- style -%}
  .header {
    padding-top: {{ section.settings.padding_top | times: 0.5 | round: 0 }}px;
    padding-bottom: {{ section.settings.padding_bottom | times: 0.5 | round: 0 }}px;
    grid-template-columns: auto 1fr auto;
  }
  .list-menu.list-menu--inline{
    width:100%;
  }
  .list-menu.list-menu--inline .header-menu-item:nth-child(3){
    margin-left: auto; 
  }
  .section-header {
    margin-bottom: {{ section.settings.margin_bottom | times: 0.75 | round: 0 }}px;
  }

  @media screen and (min-width: 750px) {
    .section-header {
      margin-bottom: {{ section.settings.margin_bottom }}px;
    }
  }

  @media screen and (min-width: 990px) {
    .header {
      padding-top: {{ section.settings.padding_top }}px;
      padding-bottom: {{ section.settings.padding_bottom }}px;
    }
  }
{%- endstyle -%}

<script src="{{ 'details-disclosure.js' | asset_url }}" defer="defer"></script>
<script src="{{ 'details-modal.js' | asset_url }}" defer="defer"></script>
<script src="{{ 'cart-notification.js' | asset_url }}" defer="defer"></script>
{%- if settings.cart_type == "drawer" -%}
  <script src="{{ 'cart-drawer.js' | asset_url }}" defer="defer"></script>
{%- endif -%}

<svg xmlns="http://www.w3.org/2000/svg" class="hidden">
  <symbol id="icon-search" viewbox="0 0 18 19" fill="none">
    <path fill-rule="evenodd" clip-rule="evenodd" d="M11.03 11.68A5.784 5.784 0 112.85 3.5a5.784 5.784 0 018.18 8.18zm.26 1.12a6.78 6.78 0 11.72-.7l5.4 5.4a.5.5 0 11-.71.7l-5.41-5.4z" fill="currentColor"/>
  </symbol>

  <symbol id="icon-close" class="icon icon-close" fill="none" viewBox="0 0 18 17">
    <path d="M.865 15.978a.5.5 0 00.707.707l7.433-7.431 7.579 7.282a.501.501 0 00.846-.37.5.5 0 00-.153-.351L9.712 8.546l7.417-7.416a.5.5 0 10-.707-.708L8.991 7.853 1.413.573a.5.5 0 10-.693.72l7.563 7.268-7.418 7.417z" fill="currentColor">
  </symbol>
</svg>
<div id="header" {% if section.settings.enable_sticky_header %}sticky-header{% else %}div{% endif %} class="header-wrapper color-{{ section.settings.color_scheme }} gradient{% if section.settings.show_line_separator %} header-wrapper--border-bottom{% endif %}">
  {% for block in section.blocks %}
    {% if block.type == 'announcement_bar' %}
      <div class="announcement-bar" style="background-color: {{ block.settings.announce_bg_color }};">
        <div class="container">
          <div class="announcement-bar-wrap d-flex" aria-label="section.header.announcement">
            <div class="announcement-bar-left hide-mobile">
              <a href="{{ block.settings.left_link_url }}" class="announcement-bar-left-title">
                {{ block.settings.left_link_text }}
              </a>
            </div>
            {% unless block.settings.menu == blank %}
              <div class="announcement-bar-right hide-mobile">
                <ul class="announcement-bar-right-menu d-flex">
                  {% for item in block.settings.menu.links %}
                    <li class="menu-item">
                      <a href="{{ item.url }}">{{ item.title }}</a>
                    </li>
                  {% endfor %}
                </ul>
              </div>
            {% endunless %}
            <div class="announcement-bar-center  hide-tablet hide-smart">
              <a href="{{ block.settings.left_link_url }}" class="announcement-bar-center-title">
                {{ block.settings.left_link_text }}
              </a>
            </div>
          </div>
        </div>
      </div>
    {% endif %}
  {% endfor %}
  <header class="header container header--{{ section.settings.logo_position }} header--mobile-{{ section.settings.mobile_logo_position }} page-width{% if section.settings.menu != blank %} header--has-menu{% endif %}">
   

    {%- if section.settings.logo_position == 'top-center' or section.settings.menu == blank -%}
      <details-modal class="shop_now">
        mobile
      </details-modal>
    {%- endif -%}

    {%- if section.settings.logo_position != 'middle-center' -%}
      {%- if request.page_type == 'index' -%}
        <h1 class="header__heading">
      {%- endif -%}
          <a href="{{ routes.root_url }}" class="header__heading-link link link--text focus-inset">
            {%- if section.settings.logo != blank -%}
              {%- assign logo_alt = section.settings.logo.alt | default: shop.name | escape -%}
              {%- assign logo_height = section.settings.logo_width | divided_by: section.settings.logo.aspect_ratio -%}
              {{ section.settings.logo }}
            {%- else -%}
              <span class="h2">{{ shop.name }}</span>
            {%- endif -%}
          </a>
      {%- if request.page_type == 'index' -%}
        </h1>
      {%- endif -%}
    {%- endif -%}

    {%- if section.settings.menu != blank -%}
        <nav class="header_inline-menu hide-smart hide-mobile">
          <ul class="list-menu list-menu--inline">
            {%- for link in section.settings.menu.links -%}
              {% assign flag = 1 %}
              {% for block in section.blocks %}
                {% if block.type == 'megamenu' %}
                  {% if link.title == block.settings.parent_text %}
                    <li class="header-menu-item has-megamenu">
                      <a href="">
                        {{- link.title }}
                        {% liquid
                          render : "arrow-down"
                        %}
                      </a>
                      <div class="megamenu">
                        <div class="container">
                          <div class="megamenu-wrap d-flex">
                            <div class="side_menu">
                              <p class="menu-title">{{ block.settings.menu_eyebrow }}</p>
                              <h1 class="menu-desc">{{ block.settings.menu_title }}</h1>
                              {% if block.settings.menu_link_url != blank and block.settings.menu_link_text != blank %}
                                <div class="menu-link-wrap">
                                  <a href="{{ block.settings.menu_link_url }}">
                                    {{- block.settings.menu_link_text }}
                                    <svg
                                      width="16"
                                      height="16"
                                      viewBox="0 0 16 16"
                                      fill="none"
                                      xmlns="http://www.w3.org/2000/svg"
                                      aria-hidden="true"
                                      data-acsb-hidden="true"
                                      data-acsb-force-hidden="true"
                                    >
                                      <path d="M9.01999 0.394531V3.22452L12.8 6.99452H0V8.99452H12.8L9.01999 12.7745V15.6045L15.92 8.70453V7.29453L9.01999 0.394531Z" fill="#02825C"></path>
                                    </svg>
                                  </a>
                                </div>
                              {% endif %}
                            </div>
                            <div class="megamenu-container">
                              <div class="megamenu-list d-flex">
                                {% if block.settings.image != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a href="{{ block.settings.megamenu_url }}"
                                        ><img src="{{ block.settings.image |img_url: '1000x'}}" alt=""
                                      ></a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                                    </div>
                                  </div>
                                {% endif %}

                                {% if block.settings.image2 != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <img src="{{ block.settings.image2 |img_url : "1000x"}}" alt="">
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                                    </div>
                                  </div>
                                {% endif %}

                                {% if block.settings.image3 != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a href="{{ block.settings.megamenu_url3 }}"
                                        ><img src="{{ block.settings.image3 |img_url : "1000x"}}" alt=""
                                      ></a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text3 }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text3 }}</p>
                                    </div>
                                  </div>
                                {% endif %}

                                {% if block.settings.image4 != blank %}
                                  <div class="mega-menu-item">
                                    <div class="image-wrap">
                                      <a href="{{ block.settings.megamenu_url4 }}"
                                        ><img src="{{ block.settings.image4 |img_url : "1000x"}}" alt=""
                                      ></a>
                                    </div>
                                    <div class="text-wrap center">
                                      <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                      <p class="item-desc">{{ block.settings.desc_text }}</p>
                                    </div>
                                  </div>
                                {% endif %}
                              </div>
                              {% if block.settings.btn_text != blank %}
                                <div class="megamenu-btn-wrap">
                                  <a class="megamenu-btn" href="{{ block.settings.btn_url }}">
                                    {{- block.settings.btn_text -}}
                                  </a>
                                </div>
                              {% endif %}
                            </div>
                          </div>
                        </div>
                      </div>
                    </li>
                    {% assign flag = 0 %}
                  {% endif %}
                {% endif %}
              {% endfor %}
              {% if flag == 1 %}
                <li class="header-menu-item">
                  <a href="{{ link.url }}">{{ link.title }}</a>
                </li>
              {% endif %}
            {%- endfor -%}
          </ul>
        </nav>
      {%- endif -%}

    {%- if section.settings.logo_position == 'middle-center' -%}
      {%- if request.page_type == 'index' -%}
        <h1 class="header__heading">
      {%- endif -%}
          <a href="{{ routes.root_url }}" class="header__heading-link link link--text focus-inset">
            {%- if section.settings.logo != blank -%}
              {%- assign logo_alt = section.settings.logo.alt | default: shop.name | escape -%}
              {%- assign logo_height = section.settings.logo_width | divided_by: section.settings.logo.aspect_ratio -%}
              {{ section.settings.logo }}
            {%- else -%}
              <span class="h2">{{ shop.name }}</span>
            {%- endif -%}
          </a>
      {%- if request.page_type == 'index' -%}
        </h1>
      {%- endif -%}
    {%- endif -%}

    <div class="header__icons">
      <div class="shop_now">
        <a class="btn" href="{{ section.settings.shop_url }}">
          <span class="hide-smart">Shop all</span>
          <span class="hide-tablet">Shop</span>
        </a>
      </div>

      {%- if shop.customer_accounts_enabled -%}
        <a href="{%- if customer -%}{{ routes.account_url }}{%- else -%}{{ routes.account_login_url }}{%- endif -%}" class="header__icon header__icon--account link focus-inset{% if section.settings.menu != blank %} small-hide{% endif %}">
          {% render 'icon-account' %}
          <span class="visually-hidden">
            {%- liquid
              if customer
                echo 'customer.account_fallback' | t
              else
                echo 'customer.log_in' | t
              endif
            -%}
          </span>
        </a>
      {%- endif -%}

      <a href="{{ routes.cart_url }}" id="cart-icon-bubble">
        {%- liquid
            render 'icon-cart'
        -%}
        <p class="cart_count" >{{ cart.item_count }}</p>
      </a>
      {%- if section.settings.menu != blank -%}
      <div class="toogle-btn">
        <header-drawer data-breakpoint="tablet">
        <details id="Details-menu-drawer-container" class="menu-drawer-container">
          <summary class="header__icon header__icon--menu header__icon--summary link focus-inset" aria-label="{{ 'sections.header.menu' | t }}">
            <span>
              {% render 'icon-hamburger' %}
              {% render 'icon-close' %}
            </span>
          </summary>
          <div id="menu-drawer" class="gradient menu-drawer motion-reduce" tabindex="-1">
            <div class="menu-drawer__inner-container">
              <div class="mobile-nav-menu-wapper">
                <ul class="mobile-nav-menu">
                  {% if section.settings.menu != blank %}
                    {% for item in section.settings.menu.links %}
                      {% assign flag = 0 %}
                      {% for block in section.blocks %}
                        {% if block.type == 'megamenu' %}
                          {% if block.settings.parent_text == item.title %}
                            {% assign flag = 1 %}
                            <li class="mob-nav-item has-megamenu">
                              <a href="javascript">{{ item.title }}</a>
                            </li>
                            <div class="megamenu">
                              <div class="container">
                                <div class="megamenu-wrap d-flex">
                                  <div class="megamenu-container">
                                    <div class="megamenu-list d-flex">
                                      {% if block.settings.image != blank %}
                                        <div class="mega-menu-item">
                                          <div class="image-wrap">
                                            <a href="{{ block.settings.megamenu_url }}"
                                              ><img src="{{ block.settings.image |img_url: '1000x'}}" alt=""
                                            ></a>
                                          </div>
                                          <div class="text-wrap center">
                                            <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                            <p class="item-desc">{{ block.settings.desc_text }}</p>
                                          </div>
                                        </div>
                                      {% endif %}
          
                                      {% if block.settings.image2 != blank %}
                                        <div class="mega-menu-item">
                                          <div class="image-wrap">
                                            <img src="{{ block.settings.image2 |img_url : "1000x"}}" alt="">
                                          </div>
                                          <div class="text-wrap center">
                                            <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                            <p class="item-desc">{{ block.settings.desc_text }}</p>
                                          </div>
                                        </div>
                                      {% endif %}
          
                                      {% if block.settings.image3 != blank %}
                                        <div class="mega-menu-item">
                                          <div class="image-wrap">
                                            <a href="{{ block.settings.megamenu_url3 }}"
                                              ><img src="{{ block.settings.image3 |img_url : "1000x"}}" alt=""
                                            ></a>
                                          </div>
                                          <div class="text-wrap center">
                                            <h1 class="item-title">{{ block.settings.title_text3 }}</h1>
                                            <p class="item-desc">{{ block.settings.desc_text3 }}</p>
                                          </div>
                                        </div>
                                      {% endif %}
          
                                      {% if block.settings.image4 != blank %}
                                        <div class="mega-menu-item">
                                          <div class="image-wrap">
                                            <a href="{{ block.settings.megamenu_url4 }}"
                                              ><img src="{{ block.settings.image4 |img_url : "1000x"}}" alt=""
                                            ></a>
                                          </div>
                                          <div class="text-wrap center">
                                            <h1 class="item-title">{{ block.settings.title_text }}</h1>
                                            <p class="item-desc">{{ block.settings.desc_text }}</p>
                                          </div>
                                        </div>
                                      {% endif %}
                                    </div>
                                  </div>
                                </div>
                              </div>
                            </div>
                          {% endif %}
                        {% endif %}
                      {% endfor %}
                      {% if flag == 0 %}
                        <li>
                          <a href="{{ item.url }}">{{ item.title }}</a>
                        </li>
                      {% endif %}
                    {% endfor %}
                  {% endif %}
                  {% for block in section.blocks %}
                    {% if block.type == 'announcement_bar' and block.settings.menu != blank %}
                      {% for item in block.settings.menu.links %}
                        <li class="mob-nav-item">
                          <a href="{{ item.url }}">{{ item.title }}</a>
                        </li>
                      {% endfor %}
                    {% endif %}
                  {% endfor %}
                </ul>
              </div>
            </div>
          </div>
        </details>
      </header-drawer>
      </div>
    {%- endif -%}
    </div>
  </header>
</div {% if section.settings.enable_sticky_header %}sticky-header{% else %}div{% endif %}>

{%- if settings.cart_type == "notification" -%}
  {%- render 'cart-notification', color_scheme: section.settings.color_scheme -%}
{%- endif -%}

{% javascript %}
  class StickyHeader extends HTMLElement {
    constructor() {
      super();
    }

    connectedCallback() {
      this.header = document.getElementById('shopify-section-header');
      this.headerBounds = {};
      this.currentScrollTop = 0;
      this.preventReveal = false;
      this.predictiveSearch = this.querySelector('predictive-search');

      this.onScrollHandler = this.onScroll.bind(this);
      this.hideHeaderOnScrollUp = () => this.preventReveal = true;

      this.addEventListener('preventHeaderReveal', this.hideHeaderOnScrollUp);
      window.addEventListener('scroll', this.onScrollHandler, false);

      this.createObserver();
    }

    disconnectedCallback() {
      this.removeEventListener('preventHeaderReveal', this.hideHeaderOnScrollUp);
      window.removeEventListener('scroll', this.onScrollHandler);
    }

    createObserver() {
      let observer = new IntersectionObserver((entries, observer) => {
        this.headerBounds = entries[0].intersectionRect;
        observer.disconnect();
      });

      observer.observe(this.header);
    }

    onScroll() {
      const scrollTop = window.pageYOffset || document.documentElement.scrollTop;

      if (this.predictiveSearch && this.predictiveSearch.isOpen) return;

      if (scrollTop > this.currentScrollTop && scrollTop > this.headerBounds.bottom) {
        if (this.preventHide) return;
        requestAnimationFrame(this.hide.bind(this));
      } else if (scrollTop < this.currentScrollTop && scrollTop > this.headerBounds.bottom) {
        if (!this.preventReveal) {
          requestAnimationFrame(this.reveal.bind(this));
        } else {
          window.clearTimeout(this.isScrolling);

          this.isScrolling = setTimeout(() => {
            this.preventReveal = false;
          }, 66);

          requestAnimationFrame(this.hide.bind(this));
        }
      } else if (scrollTop <= this.headerBounds.top) {
        requestAnimationFrame(this.reset.bind(this));
      }

      this.currentScrollTop = scrollTop;
    }

    hide() {
      this.header.classList.add('shopify-section-header-hidden', 'shopify-section-header-sticky');
      this.closeMenuDisclosure();
      this.closeSearchModal();
    }

    reveal() {
      this.header.classList.add('shopify-section-header-sticky', 'animate');
      this.header.classList.remove('shopify-section-header-hidden');
    }

    reset() {
      this.header.classList.remove('shopify-section-header-hidden', 'shopify-section-header-sticky', 'animate');
    }

    closeMenuDisclosure() {
      this.disclosures = this.disclosures || this.header.querySelectorAll('header-menu');
      this.disclosures.forEach(disclosure => disclosure.close());
    }

    closeSearchModal() {
      this.searchModal = this.searchModal || this.header.querySelector('details-modal');
      this.searchModal.close(false);
    }
  }

  customElements.define('sticky-header', StickyHeader);
{% endjavascript %}

<script type="application/ld+json">
  {
    "@context": "http://schema.org",
    "@type": "Organization",
    "name": {{ shop.name | json }},
    {% if section.settings.logo %}
      "logo": {{ section.settings.logo | image_url: width: section.settings.logo.width | prepend: "https:" | json }},
    {% endif %}
    "sameAs": [
      {{ settings.social_twitter_link | json }},
      {{ settings.social_facebook_link | json }},
      {{ settings.social_pinterest_link | json }},
      {{ settings.social_instagram_link | json }},
      {{ settings.social_tiktok_link | json }},
      {{ settings.social_tumblr_link | json }},
      {{ settings.social_snapchat_link | json }},
      {{ settings.social_youtube_link | json }},
      {{ settings.social_vimeo_link | json }}
    ],
    "url": {{ request.origin | append: page.url | json }}
  }
</script>

{%- if request.page_type == 'index' -%}
  {% assign potential_action_target = request.origin | append: routes.search_url | append: "?q={search_term_string}" %}
  <script type="application/ld+json">
    {
      "@context": "http://schema.org",
      "@type": "WebSite",
      "name": {{ shop.name | json }},
      "potentialAction": {
        "@type": "SearchAction",
        "target": {{ potential_action_target | json }},
        "query-input": "required name=search_term_string"
      },
      "url": {{ request.origin | append: page.url | json }}
    }
  </script>
{%- endif -%}

{% schema %}
{
  "name": "t:sections.header.name",
  "class": "section-header",
  "settings": [
    {
      "type": "select",
      "id": "color_scheme",
      "options": [
        {
          "value": "accent-1",
          "label": "t:sections.all.colors.accent_1.label"
        },
        {
          "value": "accent-2",
          "label": "t:sections.all.colors.accent_2.label"
        },
        {
          "value": "background-1",
          "label": "t:sections.all.colors.background_1.label"
        },
        {
          "value": "background-2",
          "label": "t:sections.all.colors.background_2.label"
        },
        {
          "value": "inverse",
          "label": "t:sections.all.colors.inverse.label"
        }
      ],
      "default": "background-1",
      "label": "t:sections.all.colors.label"
    },
    {
      "type": "html",
      "id": "logo",
      "label": "t:sections.header.settings.logo.label"
    },
    {
      "type": "range",
      "id": "logo_width",
      "min": 50,
      "max": 250,
      "step": 10,
      "default": 100,
      "unit": "t:sections.header.settings.logo_width.unit",
      "label": "t:sections.header.settings.logo_width.label"
    },
    {
      "type": "select",
      "id": "logo_position",
      "options": [
        {
          "value": "top-left",
          "label": "t:sections.header.settings.logo_position.options__2.label"
        },
        {
          "value": "top-center",
          "label": "t:sections.header.settings.logo_position.options__3.label"
        },
        {
          "value": "middle-left",
          "label": "t:sections.header.settings.logo_position.options__1.label"
        },
        {
          "value": "middle-center",
          "label": "t:sections.header.settings.logo_position.options__4.label"
        }
      ],
      "default": "middle-left",
      "label": "t:sections.header.settings.logo_position.label"
    },
    {
      "type": "link_list",
      "id": "menu",
      "default": "main-menu",
      "label": "t:sections.header.settings.menu.label"
    },
    {
      "type": "url",
      "id": "shop_url",
      "label": "Shop button text"
    },
    {
      "type": "select",
      "id": "menu_type_desktop",
      "options": [
        {
          "value": "dropdown",
          "label": "t:sections.header.settings.menu_type_desktop.options__1.label"
        },
        {
          "value": "mega",
          "label": "t:sections.header.settings.menu_type_desktop.options__2.label"
        }
      ],
      "default": "dropdown",
      "label": "t:sections.header.settings.menu_type_desktop.label",
      "info": "t:sections.header.settings.menu_type_desktop.info"
    },
    {
      "type": "checkbox",
      "id": "show_line_separator",
      "default": true,
      "label": "t:sections.header.settings.show_line_separator.label"
    },
    {
      "type": "checkbox",
      "id": "enable_sticky_header",
      "default": true,
      "label": "t:sections.header.settings.enable_sticky_header.label",
      "info": "t:sections.header.settings.enable_sticky_header.info"
    },
    {
      "type": "header",
      "content": "t:sections.header.settings.mobile_layout.content"
    },
    {
      "type": "select",
      "id": "mobile_logo_position",
      "options": [
        {
          "value": "center",
          "label": "t:sections.header.settings.mobile_logo_position.options__1.label"
        },
        {
          "value": "left",
          "label": "t:sections.header.settings.mobile_logo_position.options__2.label"
        }
      ],
      "default": "center",
      "label": "t:sections.header.settings.mobile_logo_position.label"
    },
    {
      "type": "header",
      "content": "t:sections.all.spacing"
    },
    {
      "type": "range",
      "id": "margin_bottom",
      "min": 0,
      "max": 200,
      "step": 4,
      "unit": "px",
      "label": "t:sections.header.settings.margin_bottom.label",
      "default": 0
    },
    {
      "type": "header",
      "content": "t:sections.all.padding.section_padding_heading"
    },
    {
      "type": "range",
      "id": "padding_top",
      "min": 0,
      "max": 36,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_top",
      "default": 20
    },
    {
      "type": "range",
      "id": "padding_bottom",
      "min": 0,
      "max": 36,
      "step": 4,
      "unit": "px",
      "label": "t:sections.all.padding.padding_bottom",
      "default": 20
    }
  ],
  "blocks": [
    {
      "name": "t:sections.announcement-bar.name",
      "type": "announcement_bar",
      "limit": 1,
      "settings": [
        {
          "type": "color",
          "id": "announce_bg_color",
          "label": "Background Color"
        },
        {
          "type": "text",
          "id": "left_link_text",
          "label": "Left Link Text"
        },
        {
          "type": "url",
          "id": "left_link_url",
          "label": "Left Link URL"
        },
        {
          "type": "link_list",
          "id": "menu",
          "label": "menu"
        }
      ]
    },
    {
      "name": "Megamenu",
      "type": "megamenu",
      "settings": [
        {
          "type": "text",
          "id": "parent_text",
          "label": "Parent Text"
        },
        {
          "type": "text",
          "id": "menu_eyebrow",
          "label": "Eyebrow Text"
        },
        {
          "type": "text",
          "id": "menu_title",
          "label": "Title Text"
        },
        {
          "type": "text",
          "id": "menu_link_text",
          "label": "Link Text"
        },
        {
          "type": "url",
          "id": "menu_link_url",
          "label": "Link url"
        },

        {
          "type": "image_picker",
          "id": "image",
          "label": "Image"
        },
        {
          "type": "text",
          "id": "title_text",
          "label": "Title Text"
        },
        {
          "type": "text",
          "id": "desc_text",
          "label": "Description Text"
        },
        {
          "type": "url",
          "id": "megamenu_url",
          "label": "Megamenu Url"
        },
        {
          "type": "image_picker",
          "id": "image2",
          "label": "Image 2"
        },
        {
          "type": "text",
          "id": "title_text2",
          "label": "Title Text 2"
        },
        {
          "type": "text",
          "id": "desc_text2",
          "label": "Description Text 2"
        },
        {
          "type": "url",
          "id": "megamenu_url2",
          "label": "Megamenu Url 2"
        },

        {
          "type": "image_picker",
          "id": "image3",
          "label": "Image 3"
        },
        {
          "type": "text",
          "id": "title_text3",
          "label": "Title Text 3"
        },
        {
          "type": "text",
          "id": "desc_text3",
          "label": "Description Text 3"
        },
        {
          "type": "url",
          "id": "megamenu_url3",
          "label": "Megamenu Url 3"
        },

        {
          "type": "image_picker",
          "id": "image4",
          "label": "Image 4"
        },
        {
          "type": "text",
          "id": "title_text4",
          "label": "Title Text 4"
        },
        {
          "type": "text",
          "id": "desc_text4",
          "label": "Description Text 4"
        },
        {
          "type": "url",
          "id": "megamenu_url4",
          "label": "Megamenu Url 4"
        },
        {
          "type": "text",
          "id": "btn_text",
          "label": "Button text"
        },
        {
          "type": "url",
          "id": "btn_url",
          "label": "Button Url"
        }
      ]
    }
  ]
}
{% endschema %}
